package it.sw.pa.comune.artegna.domain;

import static it.sw.pa.comune.artegna.domain.MessaggioTestSamples.*;
import static it.sw.pa.comune.artegna.domain.UtenteAppTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class MessaggioTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(Messaggio.class);
        Messaggio messaggio1 = getMessaggioSample1();
        Messaggio messaggio2 = new Messaggio();
        assertThat(messaggio1).isNotEqualTo(messaggio2);

        messaggio2.setId(messaggio1.getId());
        assertThat(messaggio1).isEqualTo(messaggio2);

        messaggio2 = getMessaggioSample2();
        assertThat(messaggio1).isNotEqualTo(messaggio2);
    }

    @Test
    void utenteTest() {
        Messaggio messaggio = getMessaggioRandomSampleGenerator();
        UtenteApp utenteAppBack = getUtenteAppRandomSampleGenerator();

        messaggio.setUtente(utenteAppBack);
        assertThat(messaggio.getUtente()).isEqualTo(utenteAppBack);

        messaggio.utente(null);
        assertThat(messaggio.getUtente()).isNull();
    }
}
